View Issue Details

IDProjectCategoryView StatusLast Update
0015804LazarusIDEpublic2011-12-01 11:23
ReporteralexPAssigned ToJesus Reyes 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformfpc2.40OSUbuntu 9.04OS Version0.9.29 beta
Product VersionProduct Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0015804: ecUppercase implement the memo similar to Tedit
DescriptionPlease would make changes to the code below?

stdctrls.pp
  { TMemo }

  TMemo = class(TCustomMemo)
  published
    property Align;
    property Alignment;
    property Anchors;
    property BidiMode;
    property BorderSpacing;
    property BorderStyle;
  +++++ property CharCase;+++++++
    property Color;
  ......................

 DbCtrls.pp

  { TDBMemo }
 published
    property Align;
    property Anchors;
    property AutoDisplay: Boolean read FAutoDisplay write SetAutoDisplay default True;
    property BorderSpacing;
    property BorderStyle;
  ++++++ property CharCase;++++



This greatly facilitates the Tedit already have it, TMemo appears only at runtime DBMemo2.CharCase: = ecUppercase;
TagsNo tags attached.
Fixed in Revision23735
LazTarget-
Widgetset
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-02-18 01:41 alexP New Issue
2010-02-19 03:12 Jesus Reyes Fixed in Revision => 23735
2010-02-19 03:12 Jesus Reyes LazTarget => -
2010-02-19 03:12 Jesus Reyes Status new => resolved
2010-02-19 03:12 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-02-19 03:12 Jesus Reyes Resolution open => fixed
2010-02-19 03:12 Jesus Reyes Assigned To => Jesus Reyes
2011-12-01 11:23 Marc Weustink Status resolved => closed